> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete Account Registration

> Complete a pending account registration request. This is used when merchant registration type is set to open



## OpenAPI

````yaml post /account/complete-registration
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /account/complete-registration:
    post:
      tags:
        - Account
      summary: Complete Account Registration
      description: >-
        Complete a pending account registration request. This is used when
        merchant registration type is set to open
      operationId: post-account-complete-registration
      requestBody:
        content:
          application/json:
            schema:
              example:
                email: ''
                merchantName: ''
                otp: ''
              properties:
                email:
                  type: string
                merchantName:
                  type: string
                otp:
                  type: string
              type: object
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                example:
                  data:
                    code: '123456'
                  message: success
                properties:
                  data:
                    properties:
                      code:
                        type: string
                    type: object
                  message:
                    type: string
                type: object
          description: post account complete registration created
        '500':
          content:
            application/json:
              schema:
                example:
                  message: cannot create account
                properties:
                  message:
                    type: string
                type: object
          description: post account complete registration internal server error
      security: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````